#!/usr/bin/python
# -*- encoding: utf-8; py-indent-offset: 4 -*-
# +------------------------------------------------------------------+
# |             ____ _               _        __  __ _  __           |
# |            / ___| |__   ___  ___| | __   |  \/  | |/ /           |
# |           | |   | '_ \ / _ \/ __| |/ /   | |\/| | ' /            |
# |           | |___| | | |  __/ (__|   <    | |  | | . \            |
# |            \____|_| |_|\___|\___|_|\_\___|_|  |_|_|\_\           |
# |                                                                  |
# | Copyright Mathias Kettner 2013             mk@mathias-kettner.de |
# +------------------------------------------------------------------+


# Rules for configuring parameters of checks (services)


group = "checkparams"
subgroup_environment =  _("Temperature, Humidity, etc.")

register_check_parameters(
        subgroup_environment,
        "mikrotik_temperature",
        _("Temperature of Mikrotik RouterBoard"),
        Tuple(
            title = _("Temperature"),
            elements = [
                        Integer(title = _("warning at"), unit = u"°C", default_value = 40),
                        Integer(title = _("critical at"), unit = u"°C", default_value = 50),
                        ]
                ),
        None,
        "first")
        
register_check_parameters(
        subgroup_environment,
        "mikrotik_voltage",
        _("Voltage of Mikrotik RouterBoard"),
        Tuple(
            title = _("Voltage"),
            elements = [
                        Integer(title = _("Nominal value"), unit = _("V"), default_value = 25),
                        Integer(title = _("Warning at nominal +/-"), unit = _("V"), default_value = 4),
                        Integer(title = _("Critical at nominal +/-"), unit = _("V"), default_value = 8),
                        ]
                ),
        None,
        "first")